## GtkImageScrollWin GtkImageScrollWin — Scrollable window suitable for GtkImageView |

## Synopsis

                        GtkImageScrollWin;
    GtkWidget *         gtk_image_scroll_win_new            (GtkImageView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTable
                                     +----GtkImageScrollWin

## Implemented Interfaces

GtkImageScrollWin implements AtkImplementorIface and GtkBuildable.

## Properties

      "view"                     GtkImageView*         : Write / Construct Only

## Description

GtkImageScrollWin provides a widget similar in appearance to GtkScrollableWindow that is more suitable for displaying GtkImageView's.

### WTF!

Moo

## Details

### GtkImageScrollWin

    typedef struct _GtkImageScrollWin GtkImageScrollWin;

### gtk_image_scroll_win_new ()

    GtkWidget *         gtk_image_scroll_win_new            (GtkImageView *view);

Creates a new GtkImageScrollWin containing the GtkImageView.

The widget is built using four subwidgets arranged inside a GtkTable with two columns and two rows. Two scrollbars, one navigator button (the decorations) and one GtkImageView.

When the GtkImageView fits inside the window, the decorations are hidden.

`view` : | a GtkImageView to show.
Returns : | A new GtkImageScrollWin.

## Property Details

### The `"view"` property

      "view"                     GtkImageView*         : Write / Construct Only

Image View to navigate.

## See Also

GtkScrolledWindow, the GTK widget that GtkImageScrollWin mimics.